Bug 1040010 (CVE-2013-7027) - CVE-2013-7027 Kernel: wireless: radiotap: parsing buffer overrun
Summary: CVE-2013-7027 Kernel: wireless: radiotap: parsing buffer overrun
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2013-7027
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1039883
TreeView+ depends on / blocked
 
Reported: 2013-12-10 13:49 UTC by Prasad J Pandit
Modified: 2021-02-17 07:05 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-17 09:26:19 UTC


Attachments (Terms of Use)

Description Prasad J Pandit 2013-12-10 13:49:46 UTC
Linux kernel built with the cfg80211 - wireless configuration API
support(CONFIG_CFG80211) is vulnerable to a potential DoS caused by buffer
over-read while parsing wireless packet header.

Upstream fix:
-------------
 -> https://git.kernel.org/linus/f5563318ff1bde15b10e736e97ffce13be08bc1a

Comment 1 Prasad J Pandit 2013-12-31 06:31:25 UTC
Red Hat does not consider this to be a security flaw. The issue is an OOB read of 4 bytes beyond the "radiotap" header. Though this value is out of header bounds, it is well within the network socket buffer(sk_buff) object. It is not an OOB read which would result in a system crash(DoS) due to invalid read access.

Statement:

The Red Hat Security Response Team does not consider this issue to be a security flaw. For more details please refer to https://bugzilla.redhat.com/show_bug.cgi?id=1040010#c1


Note You need to log in before you can comment on or make changes to this bug.